org.eclipse.ease.debugging.model

## Class EaseDebugThread

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.model.EaseDebugElement
      - - org.eclipse.ease.debugging.model.EaseDebugThread

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStep, ISuspendResume, ITerminate, IThread, IEventProcessor

    public class EaseDebugThread
    extends EaseDebugElement
    implements IThread, IEventProcessor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`EaseDebugElement.State`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugThread(EaseDebugTarget target, java.lang.Object thread)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`IBreakpoint[]` `getBreakpoints()`
`java.lang.String` `getName()`
`int` `getPriority()`
`IStackFrame[]` `getStackFrames()`
`java.lang.Object` `getThread()`
`EaseDebugStackFrame` `getTopStackFrame()`
`void` `handleEvent(IDebugEvent event)`
`boolean` `hasStackFrames()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`void` `setDispatcher(EventDispatchJob dispatcher)`
`void` `setStackFrames(java.util.List<IScriptDebugFrame> debugFrames)`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`void` `terminate()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`canDisconnect, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, setResumed, setSuspended`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### EaseDebugThread

    public EaseDebugThread(EaseDebugTarget target,
                           java.lang.Object thread)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IThread`

#### getStackFrames

    public IStackFrame[] getStackFrames()

Specified by:
  `getStackFrames` in interface `IThread`

#### hasStackFrames

    public boolean hasStackFrames()

Specified by:
  `hasStackFrames` in interface `IThread`

#### getTopStackFrame

    public EaseDebugStackFrame getTopStackFrame()

Specified by:
  `getTopStackFrame` in interface `IThread`

#### getPriority

    public int getPriority()
                    throws DebugException

Specified by:
  `getPriority` in interface `IThread`
Throws:
  `DebugException`

#### getBreakpoints

    public IBreakpoint[] getBreakpoints()

Specified by:
  `getBreakpoints` in interface `IThread`

#### getThread

    public java.lang.Object getThread()

#### setStackFrames

    public void setStackFrames(java.util.List<IScriptDebugFrame> debugFrames)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### handleEvent

    public void handleEvent(IDebugEvent event)

Specified by:
  `handleEvent` in interface `IEventProcessor`

#### setDispatcher

    public void setDispatcher(EventDispatchJob dispatcher)

Specified by:
  `setDispatcher` in interface `IEventProcessor`

#### canTerminate

    public boolean canTerminate()

Specified by:
  `canTerminate` in interface `ITerminate`
Overrides:
  `canTerminate` in class `EaseDebugElement`

#### terminate

    public void terminate()

Specified by:
  `terminate` in interface `ITerminate`
Overrides:
  `terminate` in class `EaseDebugElement`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`
Overrides:
  `isTerminated` in class `EaseDebugElement`

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `ISuspendResume`
Overrides:
  `canSuspend` in class `EaseDebugElement`

#### canResume

    public boolean canResume()

Specified by:
  `canResume` in interface `ISuspendResume`
Overrides:
  `canResume` in class `EaseDebugElement`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`
Overrides:
  `isSuspended` in class `EaseDebugElement`

#### resume

    public void resume()

Specified by:
  `resume` in interface `ISuspendResume`
Overrides:
  `resume` in class `EaseDebugElement`

#### suspend

    public void suspend()

Specified by:
  `suspend` in interface `ISuspendResume`
Overrides:
  `suspend` in class `EaseDebugElement`

#### canStepInto

    public boolean canStepInto()

Specified by:
  `canStepInto` in interface `IStep`
Overrides:
  `canStepInto` in class `EaseDebugElement`

#### canStepOver

    public boolean canStepOver()

Specified by:
  `canStepOver` in interface `IStep`
Overrides:
  `canStepOver` in class `EaseDebugElement`

#### canStepReturn

    public boolean canStepReturn()

Specified by:
  `canStepReturn` in interface `IStep`
Overrides:
  `canStepReturn` in class `EaseDebugElement`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`
Overrides:
  `isStepping` in class `EaseDebugElement`

#### stepInto

    public void stepInto()

Specified by:
  `stepInto` in interface `IStep`
Overrides:
  `stepInto` in class `EaseDebugElement`

#### stepOver

    public void stepOver()

Specified by:
  `stepOver` in interface `IStep`
Overrides:
  `stepOver` in class `EaseDebugElement`

#### stepReturn

    public void stepReturn()

Specified by:
  `stepReturn` in interface `IStep`
Overrides:
  `stepReturn` in class `EaseDebugElement`